> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete VPAs

> Delete VPAs using the Razorpay TPAP Pro API.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
</div>

Use this endpoint to delete a VPA of a customer.

<RequestExample>
  ```bash Curl theme={null}
  curl -X DELETE 'api.rzp.<bank>.com/v1/upi/tpap/vpa?vpa=gaurav@okhdfcbank' \
  -u [YOUR_KEY_ID]:[YOUR_SECRET] \
  -H "Content-type: application/json" \
  -H "x-device-fingerprint: <device_fingerprint>" \
  -H "x-device-fingerprint-timestamp: 1496918882000" \
  -H "x-customer-reference: customer-id-from-customer" \
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "entity":"upi.vpa",
    "customer_reference":"PXYZ",
    "vpa":"gaurav@okhdfcbank",
    "status":"deleted",
    "mobile":"999999999",
    "fundsources_unlinked":{
      "entity":"collection",
      "count":2,
      "items":[
        {
          "id":"dummyfs1111111",
          "customer_name":"kunal1",
          "masked_account_number":"xxxxxx8990",
          "account_reference_number":"999988126236990",
          "type":"savings",
          "ifsc":"SBI00001",
          "upi_pin_set":true,
          "upi_pin_length":4,
          "otp_length":4,
          "atm_pin_length":6,
          "fundsource_provider":{
            "name":"HDFC Bank",
            "upi_iin":"600007",
            "upi_enabled":false,
            "mobile_registration_format":"format1",
            "logo_url":"<bank logo url>"
          },
          "primary":true
        },
        {
          "id":"dummyfs1111111",
          "customer_name":"kunal1",
          "masked_account_number":"xxxxxx8990",
          "account_reference_number":"999988126236990",
          "type":"savings",
          "ifsc":"SBI00001",
          "upi_pin_set":true,
          "upi_pin_length":4,
          "otp_length":4,
          "atm_pin_length":6,
          "fundsource_provider":{
            "name":"HDFC Bank",
            "upi_iin":"600007",
            "upi_enabled":false,
            "mobile_registration_format":"format2",
            "logo_url":"<bank logo url>"
          },
          "primary":true
        }
      ]
    }
  }
  ```
</ResponseExample>

## Query Parameters

<ParamField query="vpa" type="string" required>
  The VPA that should be deleted.
</ParamField>

## Response Parameters

<ResponseField name="entity" type="string">
  This refers to the collection of entity. Here, it is `vpa`.
</ResponseField>

<ResponseField name="customer_reference" type="string">
  The customer identifier.
</ResponseField>

<ResponseField name="vpa" type="string">
  This is the VPA which needs to be de-linked.
</ResponseField>

<ResponseField name="status" type="enum">
  Status of the action. Possible value is `deleted` if the VPA is deleted.
</ResponseField>

<ResponseField name="mobile" type="string">
  The mobile number of the customer.
</ResponseField>

<ResponseField name="fundsources_unlinked" type="array">
  The unlinked payment source details.
</ResponseField>

<ResponseField name="entity" type="string">
  The entity type.
</ResponseField>

<ResponseField name="count" type="integer">
  Indicates number of item in the entity type.
</ResponseField>

<ResponseField name="items" type="object">
  The items object.
</ResponseField>

<ResponseField name="id" type="string">
  The unique identifier of the payment source.
</ResponseField>

<ResponseField name="customer_name" type="string">
  Name of the customer.
</ResponseField>

<ResponseField name="masked_account_number" type="string">
  The masked account number of the payment source.
</ResponseField>

<ResponseField name="account_reference_number" type="string">
  The account reference number of the payment source.
</ResponseField>

<ResponseField name="type" type="enum">
  Type of the payment source. Possible values:

  * `savings`
  * `current`
  * `non_resident_ordinary`
  * `non_resident_external`
  * `secured_overdraft`
  * `credit`
  * `ppi`
</ResponseField>

<ResponseField name="ifsc" type="string">
  IFSC of the payment source.
</ResponseField>

<ResponseField name="upi_pin_set" type="boolean">
  Indicates if the UPI PIN is set for payment source. Possible values:

  * `true`: UPI PIN is set.
  * `false`: UPI PIN is not set.
</ResponseField>

<ResponseField name="upi_pin_length" type="integer">
  Indicates the length of the UPI PIN allowed for the payment source.
</ResponseField>

<ResponseField name="otp_length" type="integer">
  Indicates the length of the OTP allowed for the payment source.
</ResponseField>

<ResponseField name="atm_pin_length" type="integer">
  Indicates the length of the ATM PIN allowed for the payment source.
</ResponseField>

<ResponseField name="fundsource_provider" type="object">
  The payment source provider details.
</ResponseField>

<ResponseField name="upi_iin" type="string">
  The UPI Issuer Identification Numbers (iin) of the payment source provider issued by NPCI.
</ResponseField>

<ResponseField name="name" type="string">
  Name of the payment source (bank account) provider.
</ResponseField>

<ResponseField name="upi_enabled" type="boolean">
  Indicates if the provider has UPI enabled. Possible values:

  * `true`: UPI is enabled.
  * `false`: UPI is not enabled.
</ResponseField>

<ResponseField name="mobile_registration_format" type="string">
  The format as defined by NPCI - `format1`, `format2` and so on.
</ResponseField>

<ResponseField name="logo_url" type="string">
  The URL of the bank logo.
</ResponseField>

<ResponseField name="primary" type="boolean">
  Indicates if the VPA is linked to the payment source marked as primary. Possible values:

  * `true`: VPA is linked to the payment source.
  * `false`: VPA is not linked to the payment source.
</ResponseField>
